R4i SDHC 3DS RTS - 'An Error Has Occurred' on 3DS v7.0.0.13-E

Discussion in 'R4 DS' started by reddragon105, Dec 14, 2013.

  1. reddragon105
    OP

    reddragon105 Member

    Newcomer
    31
    6
    Aug 10, 2008
    I've just bought a 3DS XL and my old DS flash card (an M3 Real) won't work on it, so I bought an R4i SDHC 3DS RTS. However, I can't get it to work on my 3DS XL, even though the website for the card says that it works 'perfectly' with the latest firmware, v7.0.0.13-X.

    The seller said that they had put the latest firmware on the card and performed the update already and that it was working on their 3DS (although I'm not sure what firmware their 3DS has). I made sure that the latest firmware on the card, which is v1.75b, and yet whenever I try to launch it I get the message "An error has occurred, Hold down the Power Button to turn off the power, then turn it on and try again. For help, visit support.nintendo.com."

    From reading about this card, it seems that after putting the latest firmware on the card I have to launch it and then run the update, using a DS Lite or DSi if the firmware on the 3DS is too recent. Luckily I still have my DS Lite so I've been using that to try to update. However, whenever I go to update there is no update found.

    When I get to this step -

    [​IMG]

    All I have on the screen is the top box, saying 'Current Version - Support Model: NDSL, NDSI 1.45, 3DS 5.0'
    The other two boxes and the Start button aren't there at all. So it's like the update isn't detected at all. Or does that mean that it has already been applied? In which case shouldn't it say '3DS 6.2'?

    I've tried some older versions of the firmware too, but with no luck. What could be the problem and what else could I try?
     
  2. EyeZ

    EyeZ GBAtemp Addict

    Member
    2,487
    517
    Dec 4, 2009
    If your cart should work on the latest 3DS firmware, there should be an update file on the website of your cart, and that update file should be run on a DS that your cart currently works on.
     
  3. reddragon105
    OP

    reddragon105 Member

    Newcomer
    31
    6
    Aug 10, 2008
    Thanks for that. I don't mean to be rude but I don't feel like you read my post properly because I clearly stated that I have done all of that. But just to be clear -

    1) The website for my card states that it works 'perfectly' on v7.0.0.13-E.
    2) I have firmware v1.75b which is the latest.
    3) I am trying to update it on a DS Lite.
    4) The card otherwise works fine on the DS Lite.
     
  4. EyeZ

    EyeZ GBAtemp Addict

    Member
    2,487
    517
    Dec 4, 2009
    I did read your post correctly, you say the reseller said that the update has been applied already, but the error message you are receiving implies the cart needs to be upgraded to work on the latest 3DS firmware.

    Your number 3) point, you say you are trying to update, how are you trying this? with what?
     
  5. reddragon105
    OP

    reddragon105 Member

    Newcomer
    31
    6
    Aug 10, 2008
    Using the procedure shown on the card's website here -
    http://www.r4i-sdhc.com/downloade.asp

    The latest firmware is put on the card. The card is booted on my DS Lite. There are three menu options - ROMs, Media, Config. Under Config is the option to Upgrade. Pressing that should take you to a screen that looks like the image I posted. I get that same page but without the update information and the 'Start' button. The update is contained in a file called 'flash.r4i' which is present on my card.
     
  6. EyeZ

    EyeZ GBAtemp Addict

    Member
    2,487
    517
    Dec 4, 2009
    Firmware v1.75b is the kernel, that will not update your cart to work on your updated 3DS, you sure your cart is upgradable?
     
  7. reddragon105
    OP

    reddragon105 Member

    Newcomer
    31
    6
    Aug 10, 2008
    Right, but isn't the firmware included with the kernel? As I said, it includes a file called 'flash.r4i' which is what the Upgrade option is supposed to search for, so I would assume that the latest kernel v1.75b contains the latest flash.r4i.

    I am 99.9% sure it is upgradeable - it is the R4i SDHC 3DS RTS which, as the official website states at the top of its homepage 'Support the latest N3DS V7.0.0-13 perfectly.'
    http://www.r4i-sdhc.com
     
  8. EyeZ

    EyeZ GBAtemp Addict

    Member
    2,487
    517
    Dec 4, 2009
    Yes i see the flash.r4i file, i haven't used this card myself so i can't say if that file is suppose to upgrade your cart, perhaps someone who has this cart will read this thread & be able to help you.

    Hope you get it sorted.
     
  9. reddragon105
    OP

    reddragon105 Member

    Newcomer
    31
    6
    Aug 10, 2008
    Thanks. I've seen some other people with the same problem across the internet but no apparent solution. They just get told to buy an up to date card. I'm pretty sure this card is up to date - R4i SDHC don't seem to have a more recent model than this.
     
  10. christof2003

    christof2003 Newbie

    Newcomer
    6
    0
    Jan 22, 2010
    Bolivia
    Hello, I have the same problem. I think we have old hardware, that do not have update function. The cartrige was used on DSi 1.4.5 and now i want it on 3DS XL.

    I think, we need to write in support info@R4i-sdhc.com maybe they can answer.